FData-class {flamingos} | R Documentation

## A Reference Class which represents functional data.

### Description

FData is a reference class which represents general independent and identically distributed (i.i.d.) functional objects. The data can be ordered by time (functional time series). In the last case, the field `X` represents the time.

### Fields

`X`

  Numeric vector of length m representing the covariates/inputs.

`Y`

  Matrix of size (n, m) representing the observed responses/outputs. `Y` consists of n functions of `X` observed at points 1,…,m.

[Package flamingos version 0.1.0 Index]